System.Configuration.Install 1.0.5000.0 2.0.0.0 System.Collections.CollectionBase

The provides the methods and properties that your application needs to manage a collection of objects.

Use any of the following three ways to add installers to the collection:

The method adds a single installer to the collection.

The methods add multiple installers to the collection.

The method and the property, which is the indexer, each add a single installer to the collection at the specified index.

Remove installers through the method. Check whether an installer is in the collection by using the method. Find where an installer is located in the collection by using the method.

The installers in a collection are run when the installer containing the collection, as specified by the property, calls their , , , or methods.

For examples of the usage of an installer collection, see the and classes.

Contains a collection of installers to be run during an installation.

- Method
  System.Int32 ``

  The property of the added is set to specify the containing this collection.

  Adds the specified installer to this collection of installers.

  The zero-based index of the added installer.

  An that represents the installer to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The property of each added is set to the containing this collection.

  Adds the specified array of installers to this collection.

  An array of type that represents the installers to add to this collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The property of each added is set to the containing this collection.

  Adds the specified collection of installers to this collection.

  An that represents the installers to add to this collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the specified installer is included in collection.

  true if the specified installer is in this collection; otherwise, false.

  An that represents the installer to look for. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies the items from the collection to an array, begining at the specified index.

  The array to copy to. The index of the array at which to paste the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added.

  Determines the index of a specified installer in the collection.

  The zero-based index of the installer in the collection.

  The to locate in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Inserts the specified installer into the collection at the specified index.

  The zero-based index at which to insert the installer. The to insert. 1.0.5000.0 2.0.0.0
- Property
  System.Configuration.Install.Installer `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Performs additional custom processes before a new installer is inserted into the collection.

  The zero-based index at which to insert . The new value of the installer at . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Performs additional custom processes before an installer is removed from the collection.

  The zero-based index at which can be found. The installer to be removed from . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  Performs additional custom processes before an existing installer is set to a new value.

  The zero-based index at which to replace . The value to replace with The new value of the installer at . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The property of the removed is set to null.

  Removes the specified from the collection.

  An that represents the installer to remove. 1.0.5000.0 2.0.0.0